---
title: HTMLImageElement.name
slug: Web/API/HTMLImageElement/name
tags:
  - API
  - Deprecated
  - HTML
  - HTML DOM
  - HTMLImageElement
  - Image
  - Property
  - Reference
  - img
  - name
---
<p>{{APIRef("HTML DOM")}}{{deprecated_header}}</p>

<p><span class="seoSummary">The {{domxref("HTMLImageElement")}} interface's <em>deprecated</em> <code><strong>name</strong></code> property specifies a name for the element. This has been replaced by the {{domxref("Element.id", "id")}} property available on all elements.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>htmlImageElement</em>.name = <em>nameString</em>;
<em>nameString</em> = <em>htmlImageElement</em>.name;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} providing a name by which the image can be referenced.</p>

<div class="notecard warning">
<p><strong>Important:</strong> This property is deprecated and is only in the specification still for backward compatibility purposes. Since it functions identically to {{htmlattrxref("id")}}, you can and should use it instead.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#attr-img-name', 'HTMLImageElement.name')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("HTML4.01", "struct/objects.html#adef-name-IMG", "HTMLImageElement.name")}}</td>
   <td>{{Spec2("HTML4.01")}}</td>
   <td>Provides additional details not available in the HTML 5</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("api.HTMLImageElement.name")}}</p>
